%bcond_without mead

%define reltag .redhat_6
%define namedreltag -redhat-6
%global namedversion %{version}%{?namedreltag}

%define maven_version 2011.1-redhat-6

Name:           relaxngDatatype-eap6
Version:        2011.1
Release:        4%{?reltag}%{?dist}
Epoch:          0
Summary:        RELAX NG Datatype API
License:        BSD
Group:          Development/Java

%if %with mead
Source100: com.github.relaxng-relaxngDatatype-2011.1-redhat-6-sources.zip
Source101: com.github.relaxng-relaxngDatatype-2011.1-redhat-6-patches.zip
Source102: relaxngDatatype-2011.1-redhat-6-javadoc.jar
Source103: relaxngDatatype-2011.1-redhat-6-sources.jar
Source104: relaxngDatatype-2011.1-redhat-6.jar
Source105: relaxngDatatype-2011.1-redhat-6.pom
%endif

URL:            https://sourceforge.net/projects/relaxng
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/relaxngDatatype-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/relaxngDatatype-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/relaxngDatatype-%{namedversion}-sources.jar
%{_javadir}/%{name}/relaxngDatatype-sources.jar
%{_javadir}/%{name}/relaxngDatatype-%{namedversion}.jar
%{_javadir}/%{name}/relaxngDatatype.jar

%changelog
* Tue Apr 23 2013 Fernando Nasser <fnasser@redhat.com> 0:2011.1-4.redhat_6
- Wrap 2011.1_redhat_6-1

* Fri Apr 12 2013 David Walluck <dwalluck@redhat.com> 0:2011.1-3
- 2011.1-redhat-5 (now built in MEAD)
- add sources jar

* Thu Feb 14 2013 Fernando Nasser <fnasser@redhat.com> 0:2011.1-2.redhat_4
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:2011.1-1
- release
